

import request from '@/utils/request'
//上下架
export function shangxiajia(data) {
  return request({
    url: '/system/inspectionGoods/partnerChangeListing',
    method: 'post',
    params: data

  })
}
// pid
export function shopInfo() {
  return request({
    url: '/partnerOwn/partner/shopInfo',
    method: 'get',

  })
}
// 查询检测商品分类分类
export function categoryList() {
  return request({
    url: '/system/inspectionGoods/categoryList',
    method: 'get',

  })
}
// 查询检测商品列表
export function listInspectionGoods(query) {
  return request({
    url: '/system/inspectionGoods/listPartnerGoods',
    method: 'get',
    params: query
  })
}

// 查询检测商品详细
export function getInspectionGoods(id) {
  return request({
    url: '/system/inspectionGoods/partnerGoodsDetail?goodsId=' + id,
    method: 'get'
  })
}

// 新增检测商品
export function addInspectionGoods(data) {
  return request({
    url: '/system/inspectionGoods/partnerAddGoods',
    method: 'post',
    data: data
  })
}

// 修改检测商品
export function updateInspectionGoods(data) {
  return request({
    url: '/system/inspectionGoods/partnerEditGoods',
    method: 'post',
    data: data
  })
}

// 删除检测商品
export function delInspectionGoods(id) {
  return request({
    url: '/system/inspectionGoods/partnerDelGoods?goodsId=' + id,
    method: 'post'
  })
}
//首页推荐
export function homeGoods(data) {
  return request({
    url: '/system/homeGoods/add',
    method: 'post',
    data:data
  })
}
//提交审核
export function tijiaoshenhe(data) {
  return request({
    url: '/system/inspectionGoods/examine',
    method: 'post',
    data:data
  })
}

//提交审核
export function goodsDetail(goodsId){
  return request({
    url:'/partnerOwn/partner/goodsDetail?goodsId='+goodsId,
    method: 'get'
  })
}
//提交审核
export function editSkuPrice(data){
  return request({
    url:'/partnerOwn/partner/editSkuPrice',
    method: 'post',
    data:data
  })
}

//提交审核
export function examine(data) {
  return request({
    url: '/system/inspectionGoods/examine',
    method: 'post',
    data:data
  })
}

